// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v4.23.4
// source: phxservices/common/types/tag/v1/tag.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Represents the tag type to be printed by Media Manager.
type TagType int32

const (
	TagType_TAG_TYPE_UNSPECIFIED       TagType = 0
	TagType_TAG_TYPE_SHELF             TagType = 1
	TagType_TAG_TYPE_6UP               TagType = 2
	TagType_TAG_TYPE_RESET_LABEL_BASIC TagType = 3
)

// Enum value maps for TagType.
var (
	TagType_name = map[int32]string{
		0: "TAG_TYPE_UNSPECIFIED",
		1: "TAG_TYPE_SHELF",
		2: "TAG_TYPE_6UP",
		3: "TAG_TYPE_RESET_LABEL_BASIC",
	}
	TagType_value = map[string]int32{
		"TAG_TYPE_UNSPECIFIED":       0,
		"TAG_TYPE_SHELF":             1,
		"TAG_TYPE_6UP":               2,
		"TAG_TYPE_RESET_LABEL_BASIC": 3,
	}
)

func (x TagType) Enum() *TagType {
	p := new(TagType)
	*p = x
	return p
}

func (x TagType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TagType) Descriptor() protoreflect.EnumDescriptor {
	return file_phxservices_common_types_tag_v1_tag_proto_enumTypes[0].Descriptor()
}

func (TagType) Type() protoreflect.EnumType {
	return &file_phxservices_common_types_tag_v1_tag_proto_enumTypes[0]
}

func (x TagType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use TagType.Descriptor instead.
func (TagType) EnumDescriptor() ([]byte, []int) {
	return file_phxservices_common_types_tag_v1_tag_proto_rawDescGZIP(), []int{0}
}

// Represents the item type of a tag.
type ItemType int32

const (
	ItemType_ITEM_TYPE_UNSPECIFIED ItemType = 0
	ItemType_ITEM_TYPE_PRODUCT     ItemType = 1
	ItemType_ITEM_TYPE_LOCATION    ItemType = 2
)

// Enum value maps for ItemType.
var (
	ItemType_name = map[int32]string{
		0: "ITEM_TYPE_UNSPECIFIED",
		1: "ITEM_TYPE_PRODUCT",
		2: "ITEM_TYPE_LOCATION",
	}
	ItemType_value = map[string]int32{
		"ITEM_TYPE_UNSPECIFIED": 0,
		"ITEM_TYPE_PRODUCT":     1,
		"ITEM_TYPE_LOCATION":    2,
	}
)

func (x ItemType) Enum() *ItemType {
	p := new(ItemType)
	*p = x
	return p
}

func (x ItemType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ItemType) Descriptor() protoreflect.EnumDescriptor {
	return file_phxservices_common_types_tag_v1_tag_proto_enumTypes[1].Descriptor()
}

func (ItemType) Type() protoreflect.EnumType {
	return &file_phxservices_common_types_tag_v1_tag_proto_enumTypes[1]
}

func (x ItemType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ItemType.Descriptor instead.
func (ItemType) EnumDescriptor() ([]byte, []int) {
	return file_phxservices_common_types_tag_v1_tag_proto_rawDescGZIP(), []int{1}
}

var File_phxservices_common_types_tag_v1_tag_proto protoreflect.FileDescriptor

var file_phxservices_common_types_tag_v1_tag_proto_rawDesc = []byte{
	0x0a, 0x29, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f, 0x74, 0x61, 0x67, 0x2f, 0x76,
	0x31, 0x2f, 0x74, 0x61, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1f, 0x70, 0x68, 0x78,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x74, 0x61, 0x67, 0x2e, 0x76, 0x31, 0x2a, 0x69, 0x0a, 0x07,
	0x54, 0x61, 0x67, 0x54, 0x79, 0x70, 0x65, 0x12, 0x18, 0x0a, 0x14, 0x54, 0x41, 0x47, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x12, 0x0a, 0x0e, 0x54, 0x41, 0x47, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x53, 0x48,
	0x45, 0x4c, 0x46, 0x10, 0x01, 0x12, 0x10, 0x0a, 0x0c, 0x54, 0x41, 0x47, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x36, 0x55, 0x50, 0x10, 0x02, 0x12, 0x1e, 0x0a, 0x1a, 0x54, 0x41, 0x47, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x52, 0x45, 0x53, 0x45, 0x54, 0x5f, 0x4c, 0x41, 0x42, 0x45, 0x4c, 0x5f,
	0x42, 0x41, 0x53, 0x49, 0x43, 0x10, 0x03, 0x2a, 0x54, 0x0a, 0x08, 0x49, 0x74, 0x65, 0x6d, 0x54,
	0x79, 0x70, 0x65, 0x12, 0x19, 0x0a, 0x15, 0x49, 0x54, 0x45, 0x4d, 0x5f, 0x54, 0x59, 0x50, 0x45,
	0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x15,
	0x0a, 0x11, 0x49, 0x54, 0x45, 0x4d, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x50, 0x52, 0x4f, 0x44,
	0x55, 0x43, 0x54, 0x10, 0x01, 0x12, 0x16, 0x0a, 0x12, 0x49, 0x54, 0x45, 0x4d, 0x5f, 0x54, 0x59,
	0x50, 0x45, 0x5f, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x10, 0x02, 0x42, 0x3c, 0x5a,
	0x3a, 0x70, 0x68, 0x78, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2d, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61,
	0x79, 0x2f, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x5f, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x68, 0x78, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2f, 0x74, 0x61, 0x67, 0x2f, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_phxservices_common_types_tag_v1_tag_proto_rawDescOnce sync.Once
	file_phxservices_common_types_tag_v1_tag_proto_rawDescData = file_phxservices_common_types_tag_v1_tag_proto_rawDesc
)

func file_phxservices_common_types_tag_v1_tag_proto_rawDescGZIP() []byte {
	file_phxservices_common_types_tag_v1_tag_proto_rawDescOnce.Do(func() {
		file_phxservices_common_types_tag_v1_tag_proto_rawDescData = protoimpl.X.CompressGZIP(file_phxservices_common_types_tag_v1_tag_proto_rawDescData)
	})
	return file_phxservices_common_types_tag_v1_tag_proto_rawDescData
}

var file_phxservices_common_types_tag_v1_tag_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_phxservices_common_types_tag_v1_tag_proto_goTypes = []interface{}{
	(TagType)(0),  // 0: phxservices.common.types.tag.v1.TagType
	(ItemType)(0), // 1: phxservices.common.types.tag.v1.ItemType
}
var file_phxservices_common_types_tag_v1_tag_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_phxservices_common_types_tag_v1_tag_proto_init() }
func file_phxservices_common_types_tag_v1_tag_proto_init() {
	if File_phxservices_common_types_tag_v1_tag_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_phxservices_common_types_tag_v1_tag_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_phxservices_common_types_tag_v1_tag_proto_goTypes,
		DependencyIndexes: file_phxservices_common_types_tag_v1_tag_proto_depIdxs,
		EnumInfos:         file_phxservices_common_types_tag_v1_tag_proto_enumTypes,
	}.Build()
	File_phxservices_common_types_tag_v1_tag_proto = out.File
	file_phxservices_common_types_tag_v1_tag_proto_rawDesc = nil
	file_phxservices_common_types_tag_v1_tag_proto_goTypes = nil
	file_phxservices_common_types_tag_v1_tag_proto_depIdxs = nil
}
